#include<bits/stdc++.h>

#define ll long long
#define ld long double
#define fir first
#define sec second
#define int long long
#define pb push_back
#define mp make_pair
#define vec vector
#define all(x) x.begin(), x.end()
#define sz(x) (int)x.size()

using namespace std;

const int MAX = 2e5 + 7;

void solve3() {
    assert(false);
}

int32_t main () {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    solve3();
}
